import type { IState, Path } from './interfaces';
export declare const guid: () => string;
export declare const snapshot: <T>(obj: T) => any;
export declare const NAME_SEPARATOR = ".";
export declare const ARRAY_START_INDICATOR = "[";
export declare const ARRAY_END_INDICATOR = "]";
export declare const NOT_FOUND: unique symbol;
export declare const getStateByPath: (path: Path, state: IState) => any;
export declare const putByPath: (value: any, path: Path, stateIn: IState) => object;
export declare const deleteByPath: (path: Path, state: IState) => object;
export declare const splitName: (name: string) => Path;
